import java.sql.*;
import java.io.*;

public class Main
{
  public static void main(String args[])
  {
    if (args.length < 3){
      System.out.println(
        "Wywoanie programu: Main nazwa_pliku nazwa_tabeli separator");
      System.exit(0);
    }
    
    Connection conn = DBConnection.getConnection(
      "jdbc:mysql://localhost:3306/test", "test", "test");
    if(conn == null){
      System.out.println("Nie mona nawiza poczenia z baz.");
      System.exit(-1);
    }
    
    BufferedReader inbr = null;
    try{
      inbr = new BufferedReader(
        new InputStreamReader(
          new FileInputStream(args[0])
        )
      );
    }
    catch(FileNotFoundException e){
      System.out.println("Brak pliku " + args[0]);
      System.exit(-1);
    }
    
    String line = "";
    int linesCount = 0;
    int modifiedRecords = 0;
    int rejectedQueries = 0;
    
    try{
      Statement stm = conn.createStatement();
      while ((line = inbr.readLine()) != null){
        linesCount++;
        String[] data = line.split(args[2]);
        String query = "INSERT INTO " + args[1] + " VALUES(";
        query += "'" + data[0] + "'";
        for(int i = 1; i < data.length; i++){
          query += ",'" + data[i] + "'";
        }
        query += ")";
        try{
          modifiedRecords += stm.executeUpdate(query);
        }
        catch(SQLException e){
          rejectedQueries++;
          //System.out.println("Odrzucone zapytanie: " + e);
        }
      }
    }
    catch(SQLException e){
      System.out.println("Bd przy przetwarzaniu danych: " + e);
    }
    catch(IOException e){
      System.out.println("Bd wejcia-wyjcia: " + e);
    }
    
    try{conn.close();}
    catch(SQLException e){
      System.out.println("Bd przy zamykaniu poczenia: " + e);
    }
    System.out.println("Liczba odczytanych zapyta: " + linesCount);
    System.out.println("Liczba zmodyfikowanych rekordw: " + 
      modifiedRecords);
    System.out.println("Liczba odrzuconych zapyta: " + 
      rejectedQueries);
  }
}
